Bug 1277400 - (tracy/tracy) Review Request: php-tracy - Tracy: useful PHP debugger
Review Request: php-tracy - Tracy: useful PHP debugger
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester nette/di
Blocks: nette/forms nette/bootstrap nette/deprecated nette/nette apigen/apigen
  Show dependency treegraph
 
Reported: 2015-11-03 04:14 EST by Remi Collet
Modified: 2015-12-28 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 11:53:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (22.24 KB, text/plain)
2015-11-28 20:17 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (19.02 KB, text/plain)
2015-11-28 20:18 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.38 KB, text/plain)
2015-11-28 20:18 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 04:14:38 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/007b0008a033f57924702faacd5071ce221054c7/php/nette/php-tracy/php-tracy.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-tracy-2.3.6-1.remi.src.rpm
Description: 
Tracy library is a useful PHP everyday programmer's helper. It helps you to:

- quickly detect and correct errors
- log errors
- dump variables
- measure the time

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Tracy/autoload.php';

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-11-28 20:17 EST
Created attachment 1100051 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 2 Shawn Iwinski 2015-11-28 20:18 EST
Created attachment 1100052 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-11-28 20:18 EST
Created attachment 1100053 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277400
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-11-28 20:20:13 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Requires correct, justified where necessary.

     Slight inline doc spec fix:
         # provides latte/latte



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-11-29 02:45:47 EST
Thanks.

SCM request open on pkgdb
Comment 6 Till Maas 2015-11-29 10:28:39 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-tracy
Comment 7 Fedora Update System 2015-11-29 12:13:02 EST
php-tracy-2.3.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca968837f
Comment 8 Fedora Update System 2015-11-29 12:13:07 EST
php-tracy-2.3.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-462070d8d0
Comment 9 Fedora Update System 2015-11-29 12:13:08 EST
php-tracy-2.3.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-772e0a3c75
Comment 10 Fedora Update System 2015-11-29 16:50:21 EST
php-tracy-2.3.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-772e0a3c75
Comment 11 Fedora Update System 2015-11-29 17:20:18 EST
php-tracy-2.3.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-df4079c7dc
Comment 12 Fedora Update System 2015-11-29 18:52:15 EST
php-tracy-2.3.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-462070d8d0
Comment 13 Fedora Update System 2015-11-30 00:20:38 EST
php-tracy-2.3.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca968837f
Comment 14 Fedora Update System 2015-11-30 03:10:48 EST
php-tracy-2.3.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca968837f
Comment 15 Fedora Update System 2015-11-30 03:10:54 EST
php-tracy-2.3.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-df4079c7dc
Comment 16 Fedora Update System 2015-11-30 03:11:02 EST
php-tracy-2.3.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-462070d8d0
Comment 17 Fedora Update System 2015-11-30 03:11:07 EST
php-tracy-2.3.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-772e0a3c75
Comment 18 Fedora Update System 2015-11-30 19:22:49 EST
php-tracy-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca968837f
Comment 19 Fedora Update System 2015-11-30 21:23:07 EST
php-tracy-2.3.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-462070d8d0
Comment 20 Fedora Update System 2015-11-30 21:48:18 EST
php-tracy-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-772e0a3c75
Comment 21 Fedora Update System 2015-12-02 11:52:52 EST
php-tracy-2.3.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-tracy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-df4079c7dc
Comment 22 Fedora Update System 2015-12-15 08:24:51 EST
php-tracy-2.3.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-12-15 10:21:30 EST
php-tracy-2.3.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-12-28 16:27:04 EST
php-tracy-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-12-28 22:54:07 EST
php-tracy-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.